<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class SUPER_Controller extends Controller {
    function SUPER_Controller()
    {
        parent::Controller();
        
        $this->load->helper('url');
        
        // 共通の処理をここに書く
        // ...
        
        $this->load->library('phpsession');
        
        $super = $this->phpsession->get('super');
        if (is_null($super))
        {
            // システム管理者ログインページへ
            redirect('super/login');
        }
        $box['loginbox'][1] = '<a href="' . site_url('super/users/logout') . '">ログアウト</a>';
        $this->load->vars($box);
    }
}
?>